classification
Title: importlib docs improperly reference get_resource_loader()
Type: Stage: backport needed
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: barry, brett.cannon, docs@python, indygreg
Priority: normal Keywords: patch

Created on 2019-07-01 02:28 by indygreg, last changed 2019-07-04 01:28 by barry. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14568 merged aldwinaldwin, 2019-07-03 03:23
PR 14580 merged miss-islington, 2019-07-04 00:59
PR 14581 merged miss-islington, 2019-07-04 00:59
Messages (6)
msg346951 - (view) Author: Gregory Szorc (indygreg) * Date: 2019-07-01 02:28
The documentation in importlib.rst says that a loader should implement `get_resource_loader(fullname)`. This is the only occurrence of `get_resource_loader` in the CPython source tree. It should be changed to `get_resource_reader()`.
msg347046 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-07-01 16:54
Good catch.  Are you going to submit a PR?
msg347176 - (view) Author: Gregory Szorc (indygreg) * Date: 2019-07-03 02:04
I'm a bit busy with other things this week to submit a PR.
msg347252 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-07-04 00:58
New changeset b607d992e76e485f20be3bfd6b311525123f936b by Barry Warsaw (aldwinaldwin) in branch 'master':
bpo-37459: importlib docs improperly reference get_resource_loader() (#14568)
https://github.com/python/cpython/commit/b607d992e76e485f20be3bfd6b311525123f936b
msg347253 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-07-04 01:27
New changeset 070d3d928d20ccb4790dd077f3794af3c2932e5c by Barry Warsaw (Miss Islington (bot)) in branch '3.8':
bpo-37459: importlib docs improperly reference get_resource_loader() (GH-14568) (GH-14580)
https://github.com/python/cpython/commit/070d3d928d20ccb4790dd077f3794af3c2932e5c
msg347254 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2019-07-04 01:28
New changeset d7d9c9f7c22113a405f1a340d050edfa2d024dff by Barry Warsaw (Miss Islington (bot)) in branch '3.7':
bpo-37459: importlib docs improperly reference get_resource_loader() (GH-14568) (GH-14581)
https://github.com/python/cpython/commit/d7d9c9f7c22113a405f1a340d050edfa2d024dff
History
Date User Action Args
2019-07-04 01:28:28barrysetstatus: open -> closed
resolution: fixed
stage: patch review -> backport needed
2019-07-04 01:28:02barrysetmessages: + msg347254
2019-07-04 01:27:43barrysetmessages: + msg347253
2019-07-04 00:59:12miss-islingtonsetpull_requests: + pull_request14400
2019-07-04 00:59:02miss-islingtonsetpull_requests: + pull_request14399
2019-07-04 00:58:57barrysetmessages: + msg347252
2019-07-03 03:23:28aldwinaldwinsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14386
2019-07-03 02:04:03indygregsetmessages: + msg347176
2019-07-02 23:09:06brett.cannonsetnosy: + brett.cannon
2019-07-01 16:55:10barrysetassignee: docs@python

components: + Documentation, - Library (Lib)
nosy: + docs@python
2019-07-01 16:54:38barrysetnosy: + barry
messages: + msg347046
2019-07-01 02:28:06indygregcreate